/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * TravelQuotesRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class TravelQuotesRequest {
  @SerializedName("context")
  private Model189 context = null;

  @SerializedName("product_criteria")
  private Model191 productCriteria = null;

  @SerializedName("travel")
  private Model195 travel = null;

  @SerializedName("promo_code")
  private String promoCode = null;

  public TravelQuotesRequest context(Model189 context) {
    this.context = context;
    return this;
  }

   /**
   * Get context
   * @return context
  **/
  @ApiModelProperty(required = true, value = "")
  public Model189 getContext() {
    return context;
  }

  public void setContext(Model189 context) {
    this.context = context;
  }

  public TravelQuotesRequest productCriteria(Model191 productCriteria) {
    this.productCriteria = productCriteria;
    return this;
  }

   /**
   * Get productCriteria
   * @return productCriteria
  **/
  @ApiModelProperty(required = true, value = "")
  public Model191 getProductCriteria() {
    return productCriteria;
  }

  public void setProductCriteria(Model191 productCriteria) {
    this.productCriteria = productCriteria;
  }

  public TravelQuotesRequest travel(Model195 travel) {
    this.travel = travel;
    return this;
  }

   /**
   * Get travel
   * @return travel
  **/
  @ApiModelProperty(required = true, value = "")
  public Model195 getTravel() {
    return travel;
  }

  public void setTravel(Model195 travel) {
    this.travel = travel;
  }

  public TravelQuotesRequest promoCode(String promoCode) {
    this.promoCode = promoCode;
    return this;
  }

   /**
   * Promotion code.
   * @return promoCode
  **/
  @ApiModelProperty(example = "GOODPROMO200", value = "Promotion code.")
  public String getPromoCode() {
    return promoCode;
  }

  public void setPromoCode(String promoCode) {
    this.promoCode = promoCode;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TravelQuotesRequest travelQuotesRequest = (TravelQuotesRequest) o;
    return Objects.equals(this.context, travelQuotesRequest.context) &&
        Objects.equals(this.productCriteria, travelQuotesRequest.productCriteria) &&
        Objects.equals(this.travel, travelQuotesRequest.travel) &&
        Objects.equals(this.promoCode, travelQuotesRequest.promoCode);
  }

  @Override
  public int hashCode() {
    return Objects.hash(context, productCriteria, travel, promoCode);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TravelQuotesRequest {\n");
    
    sb.append("    context: ").append(toIndentedString(context)).append("\n");
    sb.append("    productCriteria: ").append(toIndentedString(productCriteria)).append("\n");
    sb.append("    travel: ").append(toIndentedString(travel)).append("\n");
    sb.append("    promoCode: ").append(toIndentedString(promoCode)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

